org.apache.ignite.internal.processors.platform.cache.query

## Class PlatformAbstractQueryCursor<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cache.query.PlatformAbstractQueryCursor<T>

All Implemented Interfaces:
  AutoCloseable, PlatformTarget

Direct Known Subclasses:
  PlatformFieldsQueryCursor, PlatformQueryCursor

    public abstract class PlatformAbstractQueryCursor<T>
    extends PlatformAbstractTarget
    implements AutoCloseable

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `close()`
`QueryCursorEx<T>` `cursor()` Gets the cursor.
`long` `processInLongOutLong(int type, long val)` Process IN operation.
`void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.
`protected abstract void` `write(BinaryRawWriterEx writer, T val)` Write value to the stream.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutLong, processInStreamOutObject, processInStreamOutStream, processOutObject, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### processOutStream

    public void processOutStream(int type,
                                 BinaryRawWriterEx writer)
                          throws IgniteCheckedException

Process OUT operation.

Specified by:
  `processOutStream` in interface `PlatformTarget`
Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInLongOutLong

    public long processInLongOutLong(int type,
                                     long val)
                              throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInLongOutLong` in interface `PlatformTarget`
Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### close

    public void close()
               throws Exception

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `Exception`

#### write

    protected abstract void write(BinaryRawWriterEx writer,
                                  T val)

Write value to the stream. Extension point to perform conversions on the object before writing it.

Parameters:
  `writer` - Writer.
  `val` - Value.

#### cursor

    public QueryCursorEx<T> cursor()

Gets the cursor.

Returns:
  Cursor.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023